Bus (Apache CXF JavaDoc 4.2.2 API)
Description: declaration: package: org.apache.cxf, interface: Bus

Package org.apache.cxf

# Interface Bus

All Superinterfaces:
  `InterceptorProvider`

All Known Implementing Classes:
  `ExtensionManagerBus`, `SpringBus`

public interface Bus extends InterceptorProvider
The Bus is the central place in CXF. Its primary responsibility is providing access to the different extensions (such as the DestinationFactoryManager, ConduitFactoryManager, BindingFactoryManager, etc). Depending on the implementation of the Bus it may also be responsible for wiring up the CXF internals.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `Bus.BusState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_BUS_ID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `getExtension(Class<T> extensionType)`
  `Collection<Feature>`
  `getFeatures()`
  `String`
  `getId()`
  `Map<String,Object>`
  `getProperties()`
  `Object`
  `getProperty(String s)`
  `Bus.BusState`
  `getState()`
  `boolean`
  `hasExtensionByName(String name)`
  `<T> void`
  `setExtension(T extension, Class<T> extensionType)`
  `void`
  `setFeatures(Collection<? extends Feature> features)`
  `void`
  `setId(String i)`
  `void`
  `setProperties(Map<String,Object> properties)`
  `void`
  `setProperty(String s, Object o)`
  `void`
  `shutdown(boolean wait)`

  ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

  `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

- ## Field Details

  - ### DEFAULT_BUS_ID

    static final String DEFAULT_BUS_ID
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getExtension

    <T> T getExtension(Class<T> extensionType)

  - ### setExtension

    <T> void setExtension(T extension, Class<T> extensionType)

  - ### hasExtensionByName

    boolean hasExtensionByName(String name)

  - ### getId

    String getId()

  - ### setId

    void setId(String i)

  - ### shutdown

    void shutdown(boolean wait)

  - ### setProperty

    void setProperty(String s, Object o)

  - ### getProperty

    Object getProperty(String s)

  - ### setProperties

    void setProperties(Map<String,Object> properties)

  - ### getProperties

    Map<String,Object> getProperties()

  - ### getFeatures

    Collection<Feature> getFeatures()

  - ### setFeatures

    void setFeatures(Collection<? extends Feature> features)

  - ### getState

    Bus.BusState getState()